%global tarball %{name}-%{version}+release.autotools

Summary:       C/C++ library to decode tracker music module (MOD) files
Name:          libopenmpt
Version:       0.6.9
Release:       4%{?dist}
License:       BSD
URL:           https://lib.openmpt.org/libopenmpt/
Source0:       https://lib.openmpt.org/files/libopenmpt/src/%{tarball}.tar.gz

BuildRequires: gcc-c++ make chrpath
BuildRequires: pkgconfig(zlib) pkgconfig(sndfile)
BuildRequires: pkgconfig(libmpg123) pkgconfig(ogg)
BuildRequires: pkgconfig(vorbis) pkgconfig(flac)
BuildRequires: pulseaudio-libs-devel

%description
libopenmpt is a cross-platform C++ and C library to decode tracked music files (modules)
into a raw PCM audio stream.

libopenmpt is based on the player code of the OpenMPT project (Open ModPlug Tracker).
In order to avoid code base fragmentation, libopenmpt is developed in the same source
code repository as OpenMPT.

libopenmpt ships with a plugin for XMPlay, xmp-openmpt.

libopenmpt also provides a compatibility layer implementing the libmodplug interface
on top of libopenmpt in the libopenmpt-modplug package.

libopenmpt also did provide plugins for Winamp (in_openmpt) and foobar2000 (foo_openmpt)
is the past. These are now deprecated in favour of WinAMP or WACUP which both provide
their own plugin based on libopenmpt, and foo_openmpt54 which is a fork of foo_openmpt, respectively.


%package devel
Summary:       Development files for the libopenmpt library
Requires:      %{name} = %{version}-%{release}

%description devel
Development files for the libopenmpt library.


%package -n openmpt123
Summary:       Command-line tracker music player based on libopenmpt
Requires:      %{name} = %{version}-%{release}

%description -n openmpt123
Openmpt123 is a cross-platform command-line or terminal based player for
tracker music (MOD) module files.


%prep
%autosetup -p1 -n %{tarball}
sed -i 's/\r$//' LICENSE


%build
%configure --disable-static --without-sdl --without-sdl2 --without-portaudio --without-portaudiocpp
%{make_build}


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete
chrpath --delete %{buildroot}%{_bindir}/openmpt123


%files
%license LICENSE
%{_libdir}/*.so.0*
%{_docdir}/%{name}/
%exclude %{_docdir}/%{name}/examples


%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}/
%{_docdir}/%{name}/examples/


%files -n openmpt123
%{_bindir}/openmpt123
%{_mandir}/man1/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 0.6.9-3
- Rebuilt for flac 1.4.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.9-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 rockerzhu <rockerzhu@tencent.com> - 0.6.9-1
- Initial build.
